import { AssetStatsDto, AssetStatsResponseDto } from "../dtos/asset.dto";
import { AuthDto } from "../dtos/auth.dto";
import { CalendarHeatmapDto, CalendarHeatmapResponseDto } from "../dtos/calendar-heatmap.dto";
import { SessionResponseDto } from "../dtos/session.dto";
import { UserPreferencesResponseDto, UserPreferencesUpdateDto } from "../dtos/user-preferences.dto";
import { UserAdminCreateDto, UserAdminDeleteDto, UserAdminResponseDto, UserAdminSearchDto, UserAdminUpdateDto } from "../dtos/user.dto";
import { BaseService } from "./base.service";
export declare class UserAdminService extends BaseService {
    search(auth: AuthDto, dto: UserAdminSearchDto): Promise<UserAdminResponseDto[]>;
    create(dto: UserAdminCreateDto): Promise<UserAdminResponseDto>;
    get(auth: AuthDto, id: string): Promise<UserAdminResponseDto>;
    update(auth: AuthDto, id: string, dto: UserAdminUpdateDto): Promise<UserAdminResponseDto>;
    delete(auth: AuthDto, id: string, dto: UserAdminDeleteDto): Promise<UserAdminResponseDto>;
    restore(auth: AuthDto, id: string): Promise<UserAdminResponseDto>;
    getCalendarHeatmap(auth: AuthDto, id: string, dto: CalendarHeatmapDto): Promise<CalendarHeatmapResponseDto>;
    getSessions(auth: AuthDto, id: string): Promise<SessionResponseDto[]>;
    getStatistics(auth: AuthDto, id: string, dto: AssetStatsDto): Promise<AssetStatsResponseDto>;
    getPreferences(auth: AuthDto, id: string): Promise<UserPreferencesResponseDto>;
    updatePreferences(auth: AuthDto, id: string, dto: UserPreferencesUpdateDto): Promise<UserPreferencesResponseDto>;
    private findOrFail;
}
